> For the complete documentation index, see [llms.txt](https://docs.universaldatatool.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.universaldatatool.com/machine-learning/jupyter-notebooks.md).

# Jupyter Notebook Integration

## Installation

To get started, we'll need to install the [Universal Data Tool python module](https://pypi.org/project/universaldatatool/).

```bash
pip install universaldatatool
```

## Creating a Dataset

Creating datasets inside python is really easy!

```python
import universaldatatool as udt

ds = udt.Dataset(
    type="image_segmentation",
    image_paths=["/path/to/birds/good_bird.jpg","/path/to/birds/bird2.jpg"],
    labels=["good bird", "bad bird"]
)

# Opens dataset directly in jupyter notebook
ds.open()
```

![The Universal Data Tool will open inside of your Jupyter Notebook](/files/-MI0qFop7_jrQcZHIAjC)

## Loading a udt.json or udt.csv file

```python
import universaldatatool as udt

ds = udt.load("path/to/dataset.udt.json")

# Opens dataset directly in jupyter notebook
ds.open()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.universaldatatool.com/machine-learning/jupyter-notebooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
